function [muphi,Sigmaphi]=interval_to_moments(intervalcell,coverprob,difference,season)

nbreak=length(intervalcell);
p=size(intervalcell{1},1);
alpha=(1-coverprob)/2;
for j=1:nbreak
    for i=1:p
        muphi(i,j)=mean(intervalcell{j}(i,:));
        Sigmaphi(i,j)=(intervalcell{j}(i,1)-muphi(i,j))/norminv(alpha,0,1);
        if sum(difference==i)>0
            muphi(i,j)=muphi(i,j)/season;
            Sigmaphi(i,j)=Sigmaphi(i,j)/season;
        end
    end
end